View Issue Details

IDProjectCategoryPrivateLast Update
0003585Battlefield 1Progression/UnlocksNo2017-12-12 11:16
Reporterdec_chair 
SeverityMinorReproducibility@[email protected] 
Status FixedResolutionFixed 
PlatformConsoleOSXbox 
Product VersionUpdate 03142017 (XP1) 
Fixed in VersionUpdate 11122017 - Gallipoli Update 
Summary0003585: MLE 1903 extended unlocked but cannot be selected in load out
Description

The MLE 1903 extended version introduced in the They Shall Not Pass DLC is currently cannot be selected in the pilot OR tanker load outs. I have completed the mission assignment (75 kills in the landship) and when viewing the weapon under solider > weapons > pilot (or tanker) it shows the weapon assignment being completed (75/75 landship kills), however, when attempting to equip the weapon in my tanker or pilot load outs it shows the weapon assignment being 0% complete and the progression wheel shows 0/75 kills, the weapon remains locked and cannot be selected. I have included a screen shot of my solider page in the menu and the pilot load out screen - I have not attached a screen shot of the tanker load out, but the issue is the same on tanker and pilot classes.

Actual Result
Expected Result

Relationships

has duplicate 0004001 Closed Missing M1903 Extended 
has duplicate 0004029 Closed MLE 1903 Unlocked but now only available for Tanker Class 
has duplicate 0003501 Closed MLE 1903 Extended (Tanker/Pilot Weapon) Re-Locks Every Game Until 1 Landship Kill Achieved 
has duplicate 0003491 Closed Mle 1903 Extended Can't Equip Bug 

Activities

dec_chair

2017-04-11 04:44

Registered User
 

MLE 1903 extended soldier page.PNG (894,475 bytes)
MLE 1903 extended fighter loadout.PNG (1,789,251 bytes)

Elite1111111111

2017-04-17 19:38

Registered User
  ~0004069

I found that earning another landship kill would unlock it again, but it would only stay unlocked for that game.